[package]
name = "device-tree"
version = "0.1.0"
edition = "2024"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
yggdrasil-abi.workspace = true
device-api = { path = "../device-api", features = ["derive"] }
libk-mm.workspace = true
libk-util.workspace = true
libk.workspace = true

fdt-rs.workspace = true
log.workspace = true
discrete_range_map.workspace = true

[lints]
workspace = true
